Name: kssh
Version: 0.7
Release: alt8

Summary: SSH frontend for KDE with many configurable options
License: GPL
Group: Networking/Other

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

URL: http://sourceforge.net/projects/kssh

Source0: %name-%version.tar.bz2

Requires: openssh-clients

BuildRequires: gcc-c++ kdelibs-devel

%description
It can work as a standard KDE application that launches ssh connections
in a terminal or as a konsole session. This means that you can press in
any konsole "New Session" and then select "Secure Shell".

%prep
%setup -q

%build
export KDEDIR=%_libdir
%__subst 's,\.la\>,.so,' configure
%configure \
	--disable-rpath \
	--disable-debug \
	--enable-final \
	--enable-shared \
	--disable-static \
	--with-xinerama

%make_build

%install
%make_install DESTDIR=%buildroot install
mkdir -p %buildroot%_desktopdir/
mv %buildroot%_datadir/applnk/Internet/%name.desktop %buildroot%_desktopdir/
echo 'Categories=Application;Network;' >> %buildroot%_desktopdir/%name.desktop

%find_lang %name --with-kde

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/konsole/*.desktop
%_iconsdir/*/*/*/*.png
%_desktopdir/%name.desktop
%doc README AUTHORS

%changelog
* Mon May 01 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.7-alt8
- fix build on x86_64 (thanks to damir@)

* Sun Apr 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.7-alt7
- fix build
- remove menu file, fix desktop file
- spec cleanup

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7-alt6.1
- Rebuilt with libstdc++.so.6.

* Sun Jun 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt6
- fix requires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt5
- fix builrequires

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt4
- rebuilding without *.la

* Wed Oct 01 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt3
- new buildrequires and rebuilding in hasher

* Fri Sep 20 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7-alt2
- build with gcc3.2

* Mon Jun 17 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1
- 0.7

- specfile cleanup

